com.io7m.jcanephora.core

## Enum JCGLUsageHint

- java.lang.Object
- - java.lang.Enum<JCGLUsageHint>
  - - com.io7m.jcanephora.core.JCGLUsageHint

- All Implemented Interfaces:
    Serializable, Comparable<JCGLUsageHint>

      public enum JCGLUsageHint
      extends Enum<JCGLUsageHint>

  Hints to the implementation about how array data will be used.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `USAGE_DYNAMIC_COPY` The data store contents will be respecified repeatedly by reading data from the GL, and used many times as the source for GL drawing and image specification commands.
    `USAGE_DYNAMIC_DRAW` The data store contents will be respecified repeatedly by the application, and used many times as the source for GL drawing and image specification commands.
    `USAGE_DYNAMIC_READ` The data store contents will be respecified repeatedly by reading data from the GL, and queried many times by the application.
    `USAGE_STATIC_COPY` The data store contents will be specified once by reading data from the GL, and used many times as the source for GL drawing and image specification commands.
    `USAGE_STATIC_DRAW` The data store contents will be specified once by the application, and used many times as the source for GL drawing and image specification commands.
    `USAGE_STATIC_READ` The data store contents will be specified once by reading data from the GL, and queried many times by the application.
    `USAGE_STREAM_COPY` The data store contents will be specified once by reading data from the GL, and used at most a few times as the source for GL drawing and image specification commands.
    `USAGE_STREAM_DRAW` The data store contents will be specified once by the application, and used at most a few times as the source for GL drawing and image specification commands.
    `USAGE_STREAM_READ` The data store contents will be specified once by reading data from the GL, and queried at most a few times by the application.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLUsageHint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLUsageHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USAGE_DYNAMIC_COPY

          public static final JCGLUsageHint USAGE_DYNAMIC_COPY

      The data store contents will be respecified repeatedly by reading data from the GL, and used many times as the source for GL drawing and image specification commands.

    - #### USAGE_DYNAMIC_DRAW

          public static final JCGLUsageHint USAGE_DYNAMIC_DRAW

      The data store contents will be respecified repeatedly by the application, and used many times as the source for GL drawing and image specification commands.

    - #### USAGE_DYNAMIC_READ

          public static final JCGLUsageHint USAGE_DYNAMIC_READ

      The data store contents will be respecified repeatedly by reading data from the GL, and queried many times by the application.

    - #### USAGE_STATIC_COPY

          public static final JCGLUsageHint USAGE_STATIC_COPY

      The data store contents will be specified once by reading data from the GL, and used many times as the source for GL drawing and image specification commands.

    - #### USAGE_STATIC_DRAW

          public static final JCGLUsageHint USAGE_STATIC_DRAW

      The data store contents will be specified once by the application, and used many times as the source for GL drawing and image specification commands.

    - #### USAGE_STATIC_READ

          public static final JCGLUsageHint USAGE_STATIC_READ

      The data store contents will be specified once by reading data from the GL, and queried many times by the application.

    - #### USAGE_STREAM_COPY

          public static final JCGLUsageHint USAGE_STREAM_COPY

      The data store contents will be specified once by reading data from the GL, and used at most a few times as the source for GL drawing and image specification commands.

    - #### USAGE_STREAM_DRAW

          public static final JCGLUsageHint USAGE_STREAM_DRAW

      The data store contents will be specified once by the application, and used at most a few times as the source for GL drawing and image specification commands.

    - #### USAGE_STREAM_READ

          public static final JCGLUsageHint USAGE_STREAM_READ

      The data store contents will be specified once by reading data from the GL, and queried at most a few times by the application.

  - ### Method Detail

    - #### values

          public static JCGLUsageHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLUsageHint c : JCGLUsageHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLUsageHint valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com